# Namespace: random

## faker. random

### Methods

#### <static> alphaNumeric()

  alphaNumeric

#### <static> arrayElement(array)

  takes an array and returns a random element of the array

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `array` | array |

#### <static> boolean()

  boolean

#### <static> image()

  locale

#### <static> locale()

  locale

#### <static> number(options)

  returns a single random number based on a max number or range

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `options` | mixed |

#### <static> objectElement(object, field)

  takes an object and returns the randomly key or value

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `object` | object |
  `field` | mixed |

#### <static> uuid()

  uuid

#### <static> word(type)

  word

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `type` | string |

#### <static> words(count)

  randomWords

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `count` | number | defaults to a random value between 1 and 3

#### Search results